Package org.opensaml.security.x509.impl

# Class DummyX509CredentialNameEvaluator

java.lang.Object
org.opensaml.security.x509.impl.DummyX509CredentialNameEvaluator

All Implemented Interfaces:
  `X509CredentialNameEvaluator`

public class DummyX509CredentialNameEvaluator extends Object implements X509CredentialNameEvaluator
A dummy implementation of `X509CredentialNameEvaluator` which always returns true.

This is a convenience class to assist with cases where it may be necessary to always have an instance of the interface but not always perform the checking.

Since:
  5.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`DummyX509CredentialNameEvaluator()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`evaluate(X509Credential credential, Set<String> trustedNames)`
Evaluate the specified credential against the specified set of trusted names.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### DummyX509CredentialNameEvaluator

public DummyX509CredentialNameEvaluator()

## Method Details

### evaluate

public boolean evaluate(@Nonnull X509Credential credential, @Nullable Set<String> trustedNames) throws SecurityException
Evaluate the specified credential against the specified set of trusted names.

The types of names supported, and the manner in which they are evaluated, is implementation-specific.

If the set of trusted names is null or empty, or if no supported name types are configured to be checked, then the evaluation is considered successful.

Specified by:
  `evaluate` in interface `X509CredentialNameEvaluator`
Parameters:
  `credential` - the X.509 credential to evaluate
  `trustedNames` - trusted names against which the credential will be evaluated
Returns:
  true if the name evaluation succeeds, false otherwise
Throws:
  `SecurityException` - thrown if there is an error during name evaluation